@import '../core/base';
@import '../modules/form-group';

.customer-list {
  display: flex;
  flex-flow: row wrap;
  @include mobile-lg {
    flex-direction: column;
  }
  &__item {
    border: .1rem solid #eee;
    margin-right: 1rem;
    max-width: 42%;
    margin-bottom: 1rem;
    overflow: hidden;
    width: 100%;
    @include mobile-lg {
      max-width: 100%;
    }
  }
  &__button {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
    @include mobile-lg {
      justify-content: center;
    }
  }
}

.customer-group {
  position: relative;
  height: 100%;
  &__input {
    position: absolute;
    z-index: -1;
    opacity: 0;
  }
  &__input:checked + &__label {
    background-color: $color-gray;
  }
  &__label {
    cursor: pointer;
    display: block;
    padding: 1.5rem;
    height: inherit;
  }
  &__actions {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
  }
}